Bug 1074589 - (CVE-2014-0131) CVE-2014-0131 kernel: net: use-after-free during segmentation with zerocopy
CVE-2014-0131 kernel: net: use-after-free during segmentation with zerocopy
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20140310,reported=2...
: Security
Depends On: 1056934 1079004 1079005 1079006 1093342 1149133
Blocks: 1074601
  Show dependency treegraph
 
Reported: 2014-03-10 11:26 EDT by Petr Matousek
Modified: 2015-07-29 13:47 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-10 04:44:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2014-03-10 11:26:31 EDT
An information leak flaw was found in the way way segmentation was performed on skbs originated from vhost-net when zerocopy feature was enabled. Once the source skb is consumed, ubuf destructor is called and potentially releases the corresponding userspace buffers, which can then for example be repurposed, while the destination skb could still be pointing to the them.

Acknowledgements:

This issue was discovered by Michael S. Tsirkin of Red Hat.
Comment 1 Petr Matousek 2014-03-10 12:35:05 EDT
Upstream patch submission:

http://marc.info/?l=linux-netdev&m=139446896921968&w=2
Comment 3 Petr Matousek 2014-03-20 13:58:18 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1079006]
Comment 4 Petr Matousek 2014-03-20 13:58:45 EDT
Statement:

This issue does not affect Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG 2.

This issue affects the Linux kernel package as shipped with Red Hat Enterprise Linux 6. 

Red Hat Product Security has rated this issue as having Low security impact. The risks and engineering effort associated with fixing this bug are greater
than its security impact. This issue is not currently planned to be addressed
in future kernel updates for Red Hat Enterprise Linux 6. For additional
information, refer to the Issue Severity Classification: 
https://access.redhat.com/security/updates/classification/.
Comment 5 Fedora Update System 2014-03-27 23:15:55 EDT
kernel-3.13.7-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-03-27 23:17:54 EDT
kernel-3.13.7-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.